#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	RC6
Summary:	Crypt::RC6 Perl module - RC6 block cipher encryption
Summary(pl.UTF-8):	Moduł Perla Crypt::RC6 - szyfr blokowy RC6
Name:		perl-Crypt-RC6
Version:	1.0
Release:	17
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6cd523b2ebfea33c66fc5f4252e88ce7
Patch0:		%{name}-endian.patch
URL:		http://search.cpan.org/dist/Crypt-RC6/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::CBC compliant RC6 block cipher encryption module. RC6 is an
evolutionary improvement of RC5, designed to meet the requirements of
the Advanced Encryption Standard (AES). This implementation requires
the use of a 16-, 24-, or 32-byte key and 16-byte blocks for
encryption/decryption. Twenty rounds are performed.

%description -l pl.UTF-8
Moduł jest zgodną z Crypt::CBC implementacją szyfru blokowego RC6. RC6
jest ewolucyjnym rozszerzeniem RC5, opracowanym na potrzeby AES
(Advanced Security Standard - standardu zaawansowanego
bezpieczeństwa). Ta implementacja wymaga użycia 16, 24, lub
32-bajtowego klucza i 16-bajtowych bloków do kodowania i dekodowania.
Wykonywane jest dwadzieścia kroków.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorarch}/Crypt/RC6.pm
%dir %{perl_vendorarch}/auto/Crypt/RC6
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/RC6/*.so
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-RC6.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9f2c3e2
- perl req/prov fix
- release 17 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 030542a
- rebuild with perl 5.26
- release 16 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d61a2dc
- rebuild with perl 5.24.0
- release 15 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> cb292cb
- release 14 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> fbe9dc5
- x32 rebuild
- release 13 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b97c22c
- release 12 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8e2e632
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> afb9a08
- rebuild for perl 5.20
- release 11 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3e31036
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> bc93797
- rel 9

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 737b3ac
- release 8

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6257a98
- release 7

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> ef5feb9
- release 6

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 674a9b5
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ec5b9d
- rel 5

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 3cbe87b
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 43425bd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0ff148d
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> aad62c2
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> f6569b4
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

